Skip to main content
POST
/
api
/
v1
/
test-cards
/
generate
Rastgele test kartı üret
curl --request POST \
  --url https://vpos-sandbox.payven.com.tr/api/v1/test-cards/generate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "count": 123,
  "bin_prefix": "<string>"
}
'
[
  {
    "extra_properties_dict": {},
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "masked_card_number": "<string>",
    "card_number": "<string>",
    "card_holder_name": "<string>",
    "expiry_month": 123,
    "expiry_year": 123,
    "cvv": "<string>",
    "custom_error_code": "<string>",
    "custom_error_message": "<string>",
    "simulated_delay_ms": 123,
    "label": "<string>",
    "is_active": true,
    "created": "2023-11-07T05:31:56Z",
    "last_modified": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
count
integer<int32>
bin_prefix
string | null
expected_result
enum<string>
Available options:
Success,
Declined,
InsufficientFunds,
InvalidCard,
Timeout,
ThreeDSecureRequired,
RandomFailure,
GatewayError
card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
card_type
enum<string>
Available options:
Credit,
Debit,
Prepaid
card_brand
enum<string>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other

Response

Created

extra_properties_dict
object
id
string<uuid>
masked_card_number
string | null
card_number
string | null
card_holder_name
string | null
expiry_month
integer<int32>
expiry_year
integer<int32>
cvv
string | null
card_schema_type
enum<string>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
card_type
enum<string>
Available options:
Credit,
Debit,
Prepaid
card_brand
enum<string>
Available options:
Bonus,
Axess,
World,
Maximum,
Cardfinans,
Paraf,
Advantage,
Bankkart,
Other
expected_result
enum<string>
Available options:
Success,
Declined,
InsufficientFunds,
InvalidCard,
Timeout,
ThreeDSecureRequired,
RandomFailure,
GatewayError
custom_error_code
string | null
custom_error_message
string | null
simulated_delay_ms
integer<int32> | null
label
string | null
is_active
boolean
created
string<date-time>
last_modified
string<date-time>